<!---
	/* ***************************************************************
	/*
	Author: 	Carlos Villarreal Mora
	Name:		$likeButton.cfm
	Summary:	Uses FBML to render Facebook's Like Button using data from the Custom Element
	History:
		2010-06-22 - CVM - Created
--->
<cfscript>
	request.element.isStatic = 0;
	items = attributes.elementInfo.elementData.propertyValues;
	if (arrayLen(items)) {
		likeStruct = items[1].values;
		tempHREF = "http://" & cgi.server_name & cgi.script_name;
		if (len(cgi.query_string)) tempHREF = tempHREF & "?" & cgi.query_string;
		structInsert(likeStruct,"href",tempHREF);
		
		//initialize Facebook API
		application.facebook2.scripts.loadFacebookJS();
	}
</cfscript>

<cfif isDefined("likeStruct")><cfoutput>
	<fb:like href="#likeStruct.href#"
		<cfif len(likeStruct.action)>action="#likeStruct.action#" </cfif>
		<cfif len(likeStruct.layout)>layout="#likeStruct.layout#" </cfif>
		<cfif len(likeStruct.showFaces)>show_faces="#likeStruct.showFaces#" </cfif>
		<cfif len(likeStruct.font)>font="#likeStruct.font#" </cfif>
		<cfif len(likeStruct.width)>width="#likeStruct.width#" </cfif>
		<cfif len(likeStruct.colorScheme)>colorscheme="#likeStruct.colorScheme#"</cfif>
	/>
	<script type="text/javascript">
		$(document).ready(function() {
			FB.Event.subscribe('edge.create', function(response){
				console.log(response);
				alert('The Like button was clicked');
			});
		});
	</script>
</cfoutput></cfif>